Imagick::hasPreviousImage
Imagick::implodeImage
Imagick
PHP Manual

# Imagick::identifyImage

(PECL imagick 2.0.0)

Imagick::identifyImage — Identifies an image and fetches attributes

### Description

array Imagick::identifyImage ([ bool `$appendRawOutput` = false ] )

Identifies an image and returns the attributes. Attributes include the image width, height, size, and others.

### Parameters

`appendRawOutput`

### Return Values

Identifies an image and returns the attributes. Attributes include the image width, height, size, and others.

Example #1 Example Result Format

    Array
    (
        [imageName] => /some/path/image.jpg
        [format] => JPEG (Joint Photographic Experts Group JFIF format)
        [geometry] => Array
            (
                [width] => 90
                [height] => 90
            )

        [type] => TrueColor
        [colorSpace] => RGB
        [resolution] => Array
            (
                [x] => 300
                [y] => 300
            )

        [units] => PixelsPerInch
        [fileSize] => 1.88672kb
        [compression] => JPEG
        [signature] => 9a6dc8f604f97d0d691c0286176ddf992e188f0bebba98494b2146ee2d7118da
    )

### Errors/Exceptions

Throws ImagickException on error.

Imagick::hasPreviousImage
Imagick::implodeImage
Imagick
PHP Manual